Crawl a URL source now
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/crawl \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/crawl"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Crawl a URL source now
Queues a crawl whatever the re-crawl schedule. Follow it with the lastRun field of the source.
POST
/
api
/
v1
/
rag
/
kb
/
{kbId}
/
sources
/
{sourceId}
/
crawl
Crawl a URL source now
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/crawl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/crawl \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/kb/{kbId}/sources/{sourceId}/crawl"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Was this page helpful?